Workflow Jobs

Jobs

Retrieve jobs

get
https://{your-bynder-domain}/api/workflow/jobs

Query Parameters

dateCreatedFromstring(date-time)

Retrieve jobs created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateCreatedTostring(date-time)

Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedFromstring(date-time)

Retrieve jobs modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

dateModifiedTostring(date-time)

Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineFromstring(date-time)

Retrieve jobs with a deadline after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

deadlineTostring(date-time)

Retrieve jobs with a deadline before this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

Example:2020-01-01T12:00:00Z

resonsibleIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

accountableIDsstring

Example:00000000000000000000000000000000,00000000000000000000000000000000

statusstring

Example:Approved,NeedsChanges

orderBystring

Example:deadline asc

limitinteger

Example:100

pageinteger

Example:1

Response

200 application/json

Successful response

accountableIDstring
basedOnPresetstring
bookedMinutesnumber
campaignIDstring
createdByIDstring
dateCreatedstring
dateFinishedstring
dateModifiedstring
deadlinestring
descriptionstring
idstring
jobFinishedHistoryarray[object]
Show Child Parameters
jobKeystring
jobMetapropertiesobject
Show Child Parameters
job_active_stageobject
Show Child Parameters
job_next_stageobject
Show Child Parameters
job_previous_stageobject
Show Child Parameters
job_stagesarray[object]
Show Child Parameters
namestring
presetIDstring
get/api/workflow/jobs
 
200 application/json

Create job

Requires the JOBADD security role.

post
https://{your-bynder-domain}/api/workflow/jobs

Body

application/json
accountableIDstring

Id of the user responsible for the job

Example:00000000-0000-0000-0000-000000000000

campaignIDstring

Id of the campaign the job is part of

Example:00000000-0000-0000-0000-000000000000

deadlinestring

Date of when the job ends

Example:2018-09-29

descriptionstring

Description of the job

Example:Job Description

jobMetapropertiesobject

ID and metaproperty values

Example:{"00000000-0000-0000-0000-000000000000":"00000000-0000-0000-0000-000000000000"}

namestring

Name of the job

Example:Job Example

presetIDstring

Id of the preset the job should be created from

Example:00000000-0000-0000-0000-000000000000

stagesarray[object]
Show Child Parameters

Response

201 application/json

Job created successfully

job_idstring

Example:00000000-0000-0000-0000-000000000000

statusstring

Example:Created

post/api/workflow/jobs

Body

{}
 
201 application/json

Delete job

Requires the JOBREMOVE security role.

delete
https://{your-bynder-domain}/api/workflow/jobs/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

204 application/json

No Content

delete/api/workflow/jobs/{id}
 
204 application/json

Retrieve specific job

Requires the JOBOVERVIEW security role.

get
https://{your-bynder-domain}/api/workflow/jobs/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-000000000000

Response

200 application/json

Successful response

accountableIDstring
basedOnPresetstring
bookedMinutesnumber
campaignIDstring
createdByIDstring
dateCreatedstring
dateFinishedstring
dateModifiedstring
deadlinestring
descriptionstring
idstring
jobFinishedHistoryarray[object]
Show Child Parameters
jobKeystring
jobMetapropertiesobject
job_active_stageobject
Show Child Parameters
job_next_stageobject
Show Child Parameters
job_previous_stageobject
Show Child Parameters
job_stagesarray[object]
Show Child Parameters
namestring
presetIDstring
get/api/workflow/jobs/{id}
 
200 application/json